- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PC_Updater Class Reference

`#include <PC_Updater.h>`

Collaboration diagram for PC_Updater:

[legend]
List of all members.

## Public Member Functions
| PC_Updater (const char *server_path, const char *package)
| Constructors.
| PC_Updater (ACE_CString &server_path, ACE_CString &package)
| ~PC_Updater ()
bool | update (const ::Deployment::PackageConfiguration &pc)
void | update (const ::Deployment::Property &property)
void | update (const ::Deployment::AssemblyConnectionDescription &acd)
void | update (const ::Deployment::AssemblyPropertyMapping &apm)
void | update (const ::Deployment::ComponentPackageDescription &comppkgdesc)
void | update (const ::Deployment::MonolithicImplementationDescription &mid)
void | update (const ::Deployment::PackagedComponentImplementation &pci)
void | update (const ::Deployment::SubcomponentPortEndpoint &spe)
void | update (const ::Deployment::Requirement &requirement)
void | update (const ::Deployment::ComponentExternalPortEndpoint &cepe)
void | update (const ::Deployment::ComponentPackageReference &cpr)
void | update (const ::Deployment::ComponentImplementationDescription &cid)
void | update (const ::Deployment::SubcomponentInstantiationDescription &sid)
void | update (const ::Deployment::NamedImplementationArtifact &named_implementation)
void | update (const ::Deployment::ComponentInterfaceDescription &cid)
void | update (const ::Deployment::Capability &capability)
void | update (const ::Deployment::ImplementationArtifactDescription &iad)
void | update (const ::Deployment::ImplementationRequirement &ir)
void | update (const Deployment::ImplementationDependency &id)
void | update (const ::Deployment::ComponentAssemblyDescription &cad)
## Protected Member Functions
void | clear_list ()
## Private Attributes
ACE_CString | server_path_
ACE_New_Allocator | allocator_
| create a doubly link list
ACE_Double_Linked_List< ZIP_File_Info > | file_list_
ACE_CString | package_
bool | success_

## Detailed Description

This class defines a set of overloaded methods used to update the contents of a PackageConfiguration. More specifically the class goes through the PackageConfiguration and updates the locations of the artifacts, wrt to their location on the HTTP server.

## Constructor & Destructor Documentation

PC_Updater::PC_Updater | ( | const char * | server_path,
|  | const char * | package |
| ) |  |  |

Constructors.

PC_Updater::PC_Updater | ( | ACE_CString & | server_path,
|  | ACE_CString & | package |
| ) |  |  |

PC_Updater::~PC_Updater | ( |  | ) |

## Member Function Documentation

void PC_Updater::clear_list | ( |  | ) | `[protected]`

void PC_Updater::update | ( | const ::Deployment::ComponentAssemblyDescription & | cad | ) |

void PC_Updater::update | ( | const Deployment::ImplementationDependency & | id | ) |

void PC_Updater::update | ( | const ::Deployment::ImplementationRequirement & | ir | ) |

void PC_Updater::update | ( | const ::Deployment::ImplementationArtifactDescription & | iad | ) |

void PC_Updater::update | ( | const ::Deployment::Capability & | capability | ) |

void PC_Updater::update | ( | const ::Deployment::ComponentInterfaceDescription & | cid | ) |

void PC_Updater::update | ( | const ::Deployment::NamedImplementationArtifact & | named_implementation | ) |

void PC_Updater::update | ( | const ::Deployment::SubcomponentInstantiationDescription & | sid | ) |

void PC_Updater::update | ( | const ::Deployment::ComponentImplementationDescription & | cid | ) |

void PC_Updater::update | ( | const ::Deployment::ComponentPackageReference & | cpr | ) |

void PC_Updater::update | ( | const ::Deployment::ComponentExternalPortEndpoint & | cepe | ) |

void PC_Updater::update | ( | const ::Deployment::Requirement & | requirement | ) |

void PC_Updater::update | ( | const ::Deployment::SubcomponentPortEndpoint & | spe | ) |

void PC_Updater::update | ( | const ::Deployment::PackagedComponentImplementation & | pci | ) |

void PC_Updater::update | ( | const ::Deployment::MonolithicImplementationDescription & | mid | ) |

void PC_Updater::update | ( | const ::Deployment::ComponentPackageDescription & | comppkgdesc | ) |

void PC_Updater::update | ( | const ::Deployment::AssemblyPropertyMapping & | apm | ) |

void PC_Updater::update | ( | const ::Deployment::AssemblyConnectionDescription & | acd | ) |

void PC_Updater::update | ( | const ::Deployment::Property & | property | ) |

bool PC_Updater::update | ( | const ::Deployment::PackageConfiguration & | pc | ) |

A whole slew of overloaded routines for different IDL data types part of the PackageConfiguration.

## Member Data Documentation

ACE_New_Allocator PC_Updater::allocator_`[private]`

create a doubly link list

ACE_Double_Linked_List<ZIP_File_Info> PC_Updater::file_list_`[private]`

ACE_CString PC_Updater::package_`[private]`

ACE_CString PC_Updater::server_path_`[private]`

bool PC_Updater::success_`[private]`

The documentation for this class was generated from the following files:

- PC_Updater.h
- PC_Updater.cpp